% MAXMIN.M

% TOMA UNA MATRIZ Y BUSCA LOS VALORES MÁXIMO Y MÍNIMO DE CADA COLUMNA.
% LOS VALORES SU GUARDAN EN UNA MATRIZ CON EL NOMBRE "Resul" EN LA 
% FORMA:

%        Nº Orden    Valor Max    Nº Orden    Valor Min
% col 1     ...         ...          ...         ...
% col 2     ...         ...          ...         ...
% col 3     ...         ...          ...         ...

% Y ASI HASTA LA ULTIMA COLUMNA DE LA MATRIZ DE ENTRADA.
%--------------------------------------------------------------------------


Matrix=input('Matriz de entrada: ');
[m,n]=size(Matrix);

Mmax=max(Matrix);
Mmin=min(Matrix);

for j=1:n
for i=1:m
if Matrix(i,j)==Mmax(j)
Resul(j,1)=i;
Resul(j,2)=Matrix(i,j);
end
if Matrix(i,j)==Mmin(j)
Resul(j,3)=i;
Resul(j,4)=Matrix(i,j);
end
end
end
disp('listo')